/* Extensions to the graphical interpretation of L-Systems based on turtle geometry */
/* str. 18 */
/* Aloe variegata */

axiom @Gr(1) A(25) !(0.8) ;(3) F(12) !(0.4) P(30)

# A(n) : n>1 -> f(0.1) /(137.5) [ -(15+2*n) L(10)] A(n-1)                   /* generuje listy L(10) */
# P(n) : n>1 -> F(0.05+n/80) [] /(137) [ -(n*4) G(0.7+n/15)] P(n-1)     /* generuje kvety G */

homomorphism
# L(s) -> [ @#(2) @Tx(1) ;(1) !(s/4) @Gs -(10) f(s) -(15) @Gr(5,1,-20,1) !(s/100) @Ge(10) ]
# G(s) -> !(0.1) F(0.7) [] !(0.4) ;(2) @#(3) !(2.7/4) @c1 @Gs -(10) f(s) -(15) @Gr(0,4,-50,0.3) !(2/100) ;(2) @Ge(10)