/* str. 6 */
define Len = 4          /* length of hydrocarbon chain */
define Ro =  70.5       /* divergence angle  */
define Csize = 0.6         /*  diameter of carbon atom  */
define Hsize = 0.5         /* diameter of hydrogen atom */

axiom -(90) #(0.15) | H X( Len)

# X( n ) : n > 0 -> FC [ ^( Ro ) FH ] /(120) [ ^( Ro ) FH] /(120) [ ^( Ro) X(n-1) ] ]
# X( l ) : l == 0 -> FH
# C -> [ ;(2) @O( Csize) ]
# H -> [ ;(1) @O( Hsize ) ]