/* Extensions to the graphical interpretation of L-Systems based on turtle geometry */
/* www.cpsc.ucalgary.ca\Research\bmv\cpfg3.0-tutorial\index.html */
/* 4.3.1 */
/* The following generalized cylinder has a closed two-dimensional cross section. */

define STEPS= 0
define LEN=  2
define CLEN = 0.35
define BOTTOM=1
define TOP= 1

axiom @#(BOTTOM) #(3) @c1 @Gs f(LEN*3)  @#(TOP) @Gc(4) f(CLEN) @c2


